Skip to content

Update Customer

| View as Markdown

This API is to update details of a customer on prepaid card portal. We must pass entity id, email, mobile no, address, country, city, state, and pin code in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/cards/api/update-customer
FieldTypeDescription
checksumtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)
tokentextWill be provided by airpay(required)
FieldTypeRequiredDescription
entity_idTextYesCustomer ID registered with the system (length 50)
emailTextNoValid email address in proper email format. Must be unique.
mobile_noTextNoMobile number of the customer
addressAlphanumericNoAddress of the customer. Only alphanumeric characters and spaces are allowed.
countryTextNoCountry name
cityTextNoCity name. Only a-z and A-Z characters allowed, no spaces.
stateTextNoState name. Only a-z and A-Z characters allowed, no spaces.
pincodeTextNoCustomer pincode. Only 6 digits for India.
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/update-customer' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'email=xyz@airpay.co.in' \
--data-urlencode 'mobile_no=9XXXXXX879' \
--data-urlencode 'address=Address' \
--data-urlencode 'city=City' \
--data-urlencode 'state=Kerala' \
--data-urlencode 'country=India' \
--data-urlencode 'pincode=682308'
FieldTypeDescription
statusnumeric400- fail,200-success
messagetextSuccess, Fail
datajson[]
{
"status": 200,
"message": "success",
"data": []
}
{
"status": 400,
"message": "fail"
}